- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\ResizeFilter

class ResizeFilter implements VideoFilterInterface

## Constants

RESIZEMODE_FIT | fits to the dimensions, might introduce anamorphosis
RESIZEMODE_INSET | resizes the video inside the given dimension, no anamorphosis
RESIZEMODE_SCALE_WIDTH | resizes the video to fit the dimension width, no anamorphosis
RESIZEMODE_SCALE_HEIGHT | resizes the video to fit the dimension height, no anamorphosis

## Methods

| __construct(Dimension $dimension, $mode = self::RESIZEMODE_FIT, $forceStandards = true, $priority) |
integer | getPriority() Returns the priority of the filter. |
Dimension | getDimension() |
string | getMode() |
Boolean | areStandardsForced() |
array | apply(Video $video, VideoInterface $format) Applies the filter on the the Video media given an format. |

## Details

###
at line 39
`public __construct(Dimension $dimension, $mode = self::RESIZEMODE_FIT, $forceStandards = true, $priority)`

#### Parameters

Dimension | $dimension |
| $mode |
| $forceStandards |
| $priority |

###
at line 50
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 58
`public Dimension getDimension()`

#### Return Value

Dimension |

###
at line 66
`public string getMode()`

#### Return Value

string |

###
at line 74
`public Boolean areStandardsForced()`

#### Return Value

Boolean |

###
at line 82
`public array apply(Video $video, VideoInterface $format)`

Applies the filter on the the Video media given an format.

#### Parameters

Video | $video |
VideoInterface | $format |

#### Return Value

array | An array of arguments